keylist_struct Struct Reference

`#include <keys.h>`

## Data Fields

signconf_type * | sc
key_type * | keys
size_t | count

## Detailed Description

Key list.

Definition at line 66 of file keys.h.

## Field Documentation

## count

size_t keylist_struct::count

Definition at line 69 of file keys.h.

Referenced by keylist_backup(), keylist_cleanup(), keylist_create(), keylist_log(), keylist_lookup_by_locator(), keylist_push(), signconf_check(), zone_prepare_keys(), zone_publish_dnskeys(), and zone_rollback_dnskeys().

## keys

key_type* keylist_struct::keys

Definition at line 68 of file keys.h.

Referenced by keylist_backup(), keylist_cleanup(), keylist_create(), keylist_log(), keylist_lookup_by_locator(), keylist_push(), rrset_sign(), zone_prepare_keys(), zone_publish_dnskeys(), and zone_rollback_dnskeys().

## sc

signconf_type* keylist_struct::sc

Definition at line 67 of file keys.h.

Referenced by keylist_create().

The documentation for this struct was generated from the following file:

- src/signer/keys.h